## ros-lunar-rexrov2-description 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rexrov2_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY meshes robots urdf launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)


install(DIRECTORY launch meshes robots urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)
        
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(xacro REQUIRED)
  find_package(rosunit REQUIRED)
  foreach(T
      test/test_urdf_files.test
      )
     add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-lunar-rexrov2-description (0.1.3-0stretch) stretch; urgency=high

  * Fix path to rexrov2_description
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-lunar-rexrov2-description (0.1.2-0stretch) stretch; urgency=high

  * Fix dependencies
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 11 Mar 2019 23:00:00 -0000

ros-lunar-rexrov2-description (0.1.1-0stretch) stretch; urgency=high

  * Fix paths to launch and plugin files after refactor
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Add tests for URDF file consistency
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-lunar-rexrov2-description (0.1.0-0stretch) stretch; urgency=high

  * ADD Option to spawn models using geodetic coordinates
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Package version number
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #11 <https://github.com/uuvsimulator/rexrov2/issues/11> from uuvsimulator/fix/set_ned_frame
    FIX use_ned_frame was flag to NED inertial frame
  * FIX use_ned_frame was flag to NED inertial frame
  * Merge pull request #10 <https://github.com/uuvsimulator/rexrov2/issues/10> from uuvsimulator/feature/new_sensor_macros
    Feature/new sensor macros
  * CHANGE Sensor package dependency
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD New macros for the new sensor plugins implementations from uuv_simulator
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #5 <https://github.com/uuvsimulator/rexrov2/issues/5> from uuvsimulator/feature/add_demos
    ADD Demos and examples on README
  * ADD Demos and examples on README
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #4 <https://github.com/uuvsimulator/rexrov2/issues/4> from uuvsimulator/fix/typo_package_xml
    FIX Typo in package.xml
  * FIX Typo in package.xml
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #1 <https://github.com/uuvsimulator/rexrov2/issues/1> from uuvsimulator/feature/transfer_files
    ADD Initial files for licensing and vehicle model configuration
  * ADD Initial files for licensing and vehicle model configuration
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-rexrov2-description
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-rexrov2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-gazebo-ros, ros-lunar-gazebo-ros-control, ros-lunar-robot-state-publisher, ros-lunar-uuv-assistants, ros-lunar-uuv-descriptions, ros-lunar-uuv-gazebo-ros-plugins, ros-lunar-uuv-sensor-ros-plugins, ros-lunar-xacro
Description: The robot description files for the RexROV 2 underwater vehicle

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rexrov2-description//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
